Moodle
  1. Moodle
  2. MDL-25248

1.9->2.x upgrade: Unknown error upgrading mod_resource to version 2009062600, can not continue

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.2.11
    • Component/s: Unknown
    • Labels:
      None
    • Environment:
      cPanel access.
    • Database:
      MySQL
    • Testing Instructions:
      Hide

      1/ install 1.9.x and all different resource types
      2/ add several more resources
      3/ go to DB and change the last two course_modules.instance fields to point to different resource (one from the same, other from different course)
      4/ upgrade to 2.2.x
      5/ verify the resources were upgraded correctly

      Show
      1/ install 1.9.x and all different resource types 2/ add several more resources 3/ go to DB and change the last two course_modules.instance fields to point to different resource (one from the same, other from different course) 4/ upgrade to 2.2.x 5/ verify the resources were upgraded correctly
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_22_STABLE
    • Pull from Repository:
    • Rank:
      5132

      Description

      Giving error during upgrade process.

      • line 154 of /lib/upgradelib.php: upgrade_exception thrown
      • line 107 of /mod/resource/db/upgrade.php: call to upgrade_mod_savepoint()
      • line 490 of /lib/upgradelib.php: call to xmldb_resource_upgrade()
      • line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
      • line 1352 of /lib/upgradelib.php: call to upgrade_plugins()
      • line 302 of /admin/index.php: call to upgrade_noncore()

        Issue Links

          Activity

          Timothy Guy created issue -
          Petr Škoda made changes -
          Field Original Value New Value
          Affects Version/s 2.0 [ 10122 ]
          Affects Version/s 1.9.7 [ 10360 ]
          Petr Škoda made changes -
          Assignee moodle.com [ moodle.com ] Petr ?koda (skodak) [ skodak ]
          Petr Škoda made changes -
          Priority Critical [ 2 ] Major [ 3 ]
          Petr Škoda made changes -
          Assignee Petr Škoda (skodak) [ skodak ] moodle.com [ moodle.com ]
          Fix Version/s STABLE backlog [ 10463 ]
          Martin Dougiamas made changes -
          Workflow jira [ 40278 ] MDL Workflow [ 47098 ]
          Martin Dougiamas made changes -
          Workflow MDL Workflow [ 47098 ] MDL Full Workflow [ 75300 ]
          Glenn Ansley made changes -
          Link This issue has a non-specific relationship to MDL-29451 [ MDL-29451 ]
          Mark Nelson made changes -
          Assignee moodle.com [ moodle.com ] Mark Nelson [ markn ]
          Mark Nelson made changes -
          Affects Version/s STABLE Sprint 28 Alpha [ 12450 ]
          Mark Nelson made changes -
          Parent MDL-34086 [ 57118 ]
          Rank (Obsolete) 23470000000
          Issue Type Bug [ 1 ] Sub-task [ 5 ]
          Mark Nelson made changes -
          Assignee Mark Nelson [ markn ] moodle.com [ moodle.com ]
          Martin Dougiamas made changes -
          Summary Unknown error upgrading mod_resource to version 2009062600, can not continue. When upgrading to Moodle 2.0 1.9->2.x upgrade: Unknown error upgrading mod_resource to version 2009062600, can not continue
          Martin Dougiamas made changes -
          Fix Version/s BACKEND [ 12582 ]
          Martin Dougiamas made changes -
          Parent MDL-34086 [ 57118 ]
          Issue Type Sub-task [ 5 ] Bug [ 1 ]
          Martin Dougiamas made changes -
          Rank Ranked lower
          Petr Škoda made changes -
          Testing Instructions 1/ install 1.9.x
          2/ add some resources
          3/ go to DB and delete some cm records for resources
          4/ upgrade to 2.2.x
          Petr Škoda made changes -
          Assignee moodle.com [ moodle.com ] Petr Škoda [ skodak ]
          Petr Škoda made changes -
          Status Open [ 1 ] Development in progress [ 3 ]
          Petr Škoda made changes -
          Status Development in progress [ 3 ] Waiting for integration review [ 10010 ]
          Pull from Repository git://github.com/skodak/moodle.git
          Fix Version/s 2.2.11 [ 12655 ]
          Fix Version/s STABLE backlog [ 10463 ]
          Fix Version/s BACKEND [ 12582 ]
          Testing Instructions 1/ install 1.9.x
          2/ add some resources
          3/ go to DB and delete some cm records for resources
          4/ upgrade to 2.2.x
          1/ install 1.9.x
          2/ add several resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          Pull 2.2 Diff URL https://github.com/skodak/moodle/compare/MOODLE_22_STABLE...w24_MDL-25248_m22_reshacks
          Pull 2.2 Branch w24_MDL-25248_m22_reshacks
          Petr Škoda made changes -
          Testing Instructions 1/ install 1.9.x
          2/ add several resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          1/ install 1.9.x and add different resource types
          2/ add several more resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          Sam Hemelryk made changes -
          Currently in integration Yes [ 10041 ]
          Dan Poltawski made changes -
          Status Waiting for integration review [ 10010 ] Integration review in progress [ 10004 ]
          Integrator poltawski
          Dan Poltawski made changes -
          Testing Instructions 1/ install 1.9.x and add different resource types
          2/ add several more resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          1/ install 1.9.x and four different resource types
          2/ add several more resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          Dan Poltawski made changes -
          Testing Instructions 1/ install 1.9.x and four different resource types
          2/ add several more resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          1/ install 1.9.x and all different resource types
          2/ add several more resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          Dan Poltawski made changes -
          Status Integration review in progress [ 10004 ] Reopened [ 4 ]
          CiBoT made changes -
          Status Reopened [ 4 ] Reopened [ 4 ]
          Currently in integration Yes [ 10041 ]
          Petr Škoda made changes -
          Status Reopened [ 4 ] Waiting for integration review [ 10010 ]
          Petr Škoda made changes -
          Testing Instructions 1/ install 1.9.x and all different resource types
          2/ add several more resources
          3/ go to DB and change the last two cm->instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          1/ install 1.9.x and all different resource types
          2/ add several more resources
          3/ go to DB and change the last two course_modules.instance fields to point to different resource (one from the same, other from different course)
          4/ upgrade to 2.2.x
          5/ verify the resources were upgraded correctly
          Dan Poltawski made changes -
          Status Waiting for integration review [ 10010 ] Integration review in progress [ 10004 ]
          Currently in integration Yes [ 10041 ]
          Dan Poltawski made changes -
          Status Integration review in progress [ 10004 ] Waiting for testing [ 10005 ]
          David Monllaó made changes -
          Tester rwijaya
          Rossiani Wijaya made changes -
          Status Waiting for testing [ 10005 ] Testing in progress [ 10011 ]
          Rossiani Wijaya made changes -
          Status Testing in progress [ 10011 ] Tested [ 10006 ]
          Marina Glancy made changes -
          Status Tested [ 10006 ] Closed [ 6 ]
          Resolution Fixed [ 1 ]
          Currently in integration Yes [ 10041 ]
          Integration date 14/Jun/13
          Eloy Lafuente (stronk7) made changes -
          Affects Version/s STABLE Sprint 28 Alpha [ 12450 ]

            People

            • Votes:
              13 Vote for this issue
              Watchers:
              18 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: